Status: Closed

Priority: Low

Assignee:

Category:

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20797

Description

When saving a project in a folder containing an ' the following error is given

`

An error occured during execution of following code:

sys.path.remove('/home/christian/Work/InaSAFE/people_in_buildings');

sys.path.append('/home/christian/Work/InaSAFE/people_in_buildings/Charlotte's_run')

File "", line 1

    sys.path.remove('/home/christian/Work/InaSAFE/people_in_buildings');

sys.path.append('/home/christian/Work/InaSAFE/people_in_buildings/Charlotte's_run')

                                                                                                                                                         ^

SyntaxError: invalid syntax

`

When the path contains a " 

`

An error occured during execution of following code:

sys.path.remove('/home/christian/Work/InaSAFE/people_in_buildings');

sys.path.append('/home/christian/Work/InaSAFE/people_in_buildings/Charlotte"s_run')

Traceback (most recent call last):

  File "", line 1, in 

ValueError: list.remove(x): x not in list

`

`

Associated revisions

Revision b49b4923 - 2015-05-06 09:14 AM - Jürgen Fischer

handle projects path with apostrophe (fixes #12691)

Revision 5f4d9d80 - 2015-05-09 04:29 PM - Jürgen Fischer

handle projects path with apostrophe (fixes #12691)

(cherry picked from commit b49b49232a598ac22b60be398e5d8e125b53a3d6)
History

#1 - 2015-05-06 12:21 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"b49b49232a598ac22b60be398e5d8e125b53a3d6".
